require "httparty"
require "hashie"
require "json"
require "straight-api/version"

class Straight
  include HTTParty

  def initialize (uri, gateway, options={})
    self.class.base_uri "#{uri}/gateways/#{gateway}"
    @options = {query: options}
  end

  def create (amount, options={})
    options.merge!(@options)
    options.merge!({amount: amount})
    options = {query: options}
    Hashie::Mash.new(JSON.parse(self.class.post('/orders', options)))
  end

  def get (id, options={})
    options.merge!(@options)
    options = {query: options}
    Hashie::Mash.new(JSON.parse(self.class.get("/orders/#{id}", options)))
  end
end
